Subject: bug#68145: [PATCH] * doc/misc/eglot.texi: Fix broken function calls

From: Stefan Kangas <[email-masked]>
Date: Sat, 30 Dec 2023 10:16:44 -0800

João Távora <[email-masked]> writes:

> On Sat, Dec 30, 2023 at 1:45 PM Felician Nemeth
> <[email-masked]> wrote:
>>
>> Vyacheslav Akhmechet <[email-masked]> writes:
>>
>> > -  (if-let* ((path (expand-file-name (eglot-uri-to-path
>> > +  (if-let* ((path (expand-file-name (eglot--uri-to-path
>>
>> The latest Eglot has this:
>>
>> (define-obsolete-function-alias 'eglot--uri-to-path 'eglot-uri-to-path "1.16")
>>
>> The confusion might come from the fact that ELPA had v1.16 for a brief
>> period, but now (for some strange reason) only v1.15 is available.
>
> Strange indeed.  No idea what happened, but the 1.16 tarball is also
> available:
>
> https://elpa.gnu.org/packages/eglot-1.16.tar.lz
>
> Stefan, can you see about this.

I'm assuming the scripts bugged out.  I'm copying in the other Stefan,
since he has access to the server where this all runs.

The simplest solution in this case is probably to just bump the version
to 1.17, but that won't stop this from happening again in the future.

> Vyacheslav, Felicián is correct.  Don't suggest '--' version of
> functions in the manuals.  The remaining simplification is
> welcome.  Don't use the symbol name 'inactive--code' though,
> the '--' means "private".  That symbol can be "inactive-code"
> or 'my-inactive-code' or even 'my-extension--inactive-code'.
> Here though, "inactive-code" is preferable for demonstration
> purposes.
>
> João